Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class JDOState

    java.lang.Object
      |
      +--kodo.runtime.JDOState

All Implemented Interfaces:
  Serializable

public class JDOState
extends Object
implements Serializable

Base class for all JDO lifecycle states. Each JDO instance is managed by a `StateManagerImpl`, which in turn keeps a reference to its current state.

The state governs the behavior of the instance during all JDO lifecycle events. The class itself is stateless, and is provided its context on each method call. This base class provides no-op implementations of all methods and maintains static singelton shared references to each possible JDO state.

See Also:
  Serialized Form

Field Summary
`static JDOState` | `ECLEAN` Embedded-Clean
`static JDOState` | `ECOPY` Embedded-Copy
`static JDOState` | `EDELETED` Embedded-Deleted
`static JDOState` | `EDIRTY` Embedded-Dirty
`static JDOState` | `ENONTRANS` Embedded-Nontransactional
`static JDOState` | `HOLLOW` Hollow; exists in data store
`static JDOState` | `PCLEAN` Persistent-Clean
`static JDOState` | `PDELETED` Persistent-Deleted
`static JDOState` | `PDELETEDFLUSHED` Persistent-Deleted-Flushed
`static JDOState` | `PDIRTY` Persistent-Dirty
`static JDOState` | `PNEW` Persistent-New
`static JDOState` | `PNEWDELETED` Persistent-New-Deleted
`static JDOState` | `PNEWFLUSHEDDELETED` Persistent-New-Flushed-Deleted
`static JDOState` | `PNEWFLUSHEDDELETEDFLUSHED` Persistent-New-Flushed-Deleted-Flushed
`static JDOState` | `PNONTRANS` Persistent-Nontransactinoal
`static JDOState` | `TCLEAN` Transient-Clean
`static JDOState` | `TDIRTY` Transient-Dirty
`static JDOState` | `TRANSIENT` Transient; unmanaged instance

Constructor Summary
`JDOState()`

Method Summary
`protected Object` | `readResolve()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNEW

    public static final JDOState PNEW

  Persistent-New

### PCLEAN

    public static final JDOState PCLEAN

  Persistent-Clean

### PDIRTY

    public static final JDOState PDIRTY

  Persistent-Dirty

### PDELETED

    public static final JDOState PDELETED

  Persistent-Deleted

### PNEWDELETED

    public static final JDOState PNEWDELETED

  Persistent-New-Deleted

### PNONTRANS

    public static final JDOState PNONTRANS

  Persistent-Nontransactinoal

### HOLLOW

    public static final JDOState HOLLOW

  Hollow; exists in data store

### TRANSIENT

    public static final JDOState TRANSIENT

  Transient; unmanaged instance

### TCLEAN

    public static final JDOState TCLEAN

  Transient-Clean

### TDIRTY

    public static final JDOState TDIRTY

  Transient-Dirty

### ECOPY

    public static final JDOState ECOPY

  Embedded-Copy

### ECLEAN

    public static final JDOState ECLEAN

  Embedded-Clean

### EDIRTY

    public static final JDOState EDIRTY

  Embedded-Dirty

### EDELETED

    public static final JDOState EDELETED

  Embedded-Deleted

### ENONTRANS

    public static final JDOState ENONTRANS

  Embedded-Nontransactional

### PNEWFLUSHEDDELETED

    public static final JDOState PNEWFLUSHEDDELETED

  Persistent-New-Flushed-Deleted

### PNEWFLUSHEDDELETEDFLUSHED

    public static final JDOState PNEWFLUSHEDDELETEDFLUSHED

  Persistent-New-Flushed-Deleted-Flushed

### PDELETEDFLUSHED

    public static final JDOState PDELETEDFLUSHED

  Persistent-Deleted-Flushed

Constructor Detail

### JDOState

    public JDOState()

Method Detail

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.